import 'package:test/test.dart';

import '../lib/douban_fm.dart';

void main() {
  test("Login test", () async {
    FM fm = new FM();
    User result =
        await fm.login(account: 'hellothere@gmail.com', password: 'mypassword');
    expect(result != null, equals(false));
  });

  test("Fetching channel list", () async {
    FM fm = new FM();
    List<Channel> result = await fm.fetchChannelList();
    expect(result.length > 0, equals(true));
  });

  // test("Fetching song list", () async {
  //   FM fm = new FM();
  //   List<Song> result = await fm.fetchSongList(PlayType.next, channelId: '1');
  //   // List<Song> result = await fm.fetchSongList(PlayType.end, channelId: '1', songId: '1455538');
  //   // result = await fm.fetchSongList(PlayType.skip, channelId: '1', songId: '1455538');
  //   expect(result.length > 0, equals(true));
  // });

  test("Fetching lyrics", () async {
    FM fm = new FM();
    Lyrics result = await fm.fetchLyrics('1451101', '1280');
    expect(result != null, equals(true));
  });
}
